# Training Locations

Training Locations

 - [GET /trainingLocations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-locations/listtraininglocations.md): This method will scan all training locations and and return them to the caller.
 - [POST /trainingLocations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-locations/createtraininglocation.md): This method will auto-generate an ID and create a new training location. If an ID is specified for the training location, an error will be thrown.
 - [POST /trainingLocations/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-locations/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /trainingLocations/{tenantId}/trainingProvider/{training_provider_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-locations/listlocationsbytrainingproviderid.md): Returns a list of records with the specified training_provider_id
 - [DELETE /trainingLocations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-locations/deletetraininglocation.md): This method will delete a training location with the specified ID.
 - [GET /trainingLocations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-locations/gettraininglocation.md): This method will look up a training location by the specified ID and return it back.
 - [PATCH /trainingLocations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-locations/patchtraininglocation.md): This method will patch an existing training location with the specified ID, using the HTTP PATCH specification.
 - [PUT /trainingLocations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/training-locations/updatetraininglocation.md): This method will update an existing training location with the specified ID.
